Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.charts
Class AbstractBambooChart

    java.lang.Object
      com.atlassian.bamboo.charts.AbstractBambooChart

All Implemented Interfaces:
  ChartBuilder

Direct Known Subclasses:
  AbstractTimePeriodGroupedChart, BambooReportLineChart, BuildFailuresChart, BuildTimesChart, CombinedBuildSummaryByBuildChart, CombinedBuildSummaryByTimeChart, TestCaseBuildTimesChart

    public abstract class AbstractBambooChart

extends Object
implements ChartBuilder

Field Summary
`protected String` | `chartTitle`
`protected String` | `contextPath`
`protected int` | `height`
`protected boolean` | `shortUrlUsed`
`protected int` | `width`
`protected String` | `xAxisLabel`
`protected String` | `yAxisLabel`

Constructor Summary
`protected` | `AbstractBambooChart()`
`protected` | `AbstractBambooChart(int height, int width, String chartTitle, String xAxisLabel, String yAxisLabel)`

Method Summary
`protected Map` | `generateChartImage(JFreeChart chart)`
`protected Map` | `generateChartImage(JFreeChart chart, Map params)`
`protected String` | `generateRandomMapName()`
`String` | `getChartTitle()`
`String` | `getContextPath()`
`int` | `getHeight()`
`int` | `getWidth()`
`String` | `getxAxisLabel()`
`String` | `getyAxisLabel()`
`boolean` | `isShortUrlUsed()`
`void` | `setChartTitle(String chartTitle)`
`void` | `setContextPath(String contextPath)`
`void` | `setHeight(int height)`
`void` | `setShortUrlUsed(boolean shortUrlUsed)`
`void` | `setWidth(int width)`
`void` | `setxAxisLabel(String xAxisLabel)`
`void` | `setyAxisLabel(String yAxisLabel)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.charts.ChartBuilder
`generateChartParams`

Field Detail

### height

    protected int height

### width

    protected int width

### chartTitle

    protected String chartTitle

### xAxisLabel

    protected String xAxisLabel

### yAxisLabel

    protected String yAxisLabel

### contextPath

    protected String contextPath

### shortUrlUsed

    protected boolean shortUrlUsed

Constructor Detail

### AbstractBambooChart

    protected AbstractBambooChart()

### AbstractBambooChart

    protected AbstractBambooChart(int height,
                                  int width,
                                  String chartTitle,
                                  String xAxisLabel,
                                  String yAxisLabel)

Method Detail

### generateChartImage

    protected Map generateChartImage(JFreeChart chart,
                                     Map params)

### generateRandomMapName

    protected String generateRandomMapName()

### getHeight

    public int getHeight()

### setHeight

    public void setHeight(int height)

### getWidth

    public int getWidth()

### setWidth

    public void setWidth(int width)

### getChartTitle

    public String getChartTitle()

### setChartTitle

    public void setChartTitle(String chartTitle)

### getxAxisLabel

    public String getxAxisLabel()

### setxAxisLabel

    public void setxAxisLabel(String xAxisLabel)

### getyAxisLabel

    public String getyAxisLabel()

### setyAxisLabel

    public void setyAxisLabel(String yAxisLabel)

### getContextPath

    public String getContextPath()

### setContextPath

    public void setContextPath(String contextPath)

### isShortUrlUsed

    public boolean isShortUrlUsed()

### setShortUrlUsed

    public void setShortUrlUsed(boolean shortUrlUsed)

### generateChartImage

    protected Map generateChartImage(JFreeChart chart)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.